var webpack = require('webpack');
var path = require("path");

var config = {
  /*
   * The entry point to the application
   */
  entry: ["./static/js/app.tsx"],

  /*
   * Output path of bundle
   */
  output: {
    path: path.resolve(__dirname, "static/js/build"),
    filename: "bundle.js"
  },

  /*
   * specify files to search for
   */
  resolve: {
    extensions: ["", ".ts", ".tsx", ".js"]
  },
  module: {
    /*
     * Regex associated with the loader
     */
    loaders: [
      {
        test: /\.tsx?$/,
        loader: "ts-loader",
        exclude: /node_modules/
      }
    ]
  }
};

module.exports = config;
